Skip to main content
POST
/
api
/
v1
/
mcp
/
agents
/
{agent_id}
/
servers
/
{server_id}
/
health-check
Check Mcp Server Health
curl --request POST \
  --url https://agent-studio.thena.ai/api/v1/mcp/agents/{agent_id}/servers/{server_id}/health-check \
  --header 'x-api-key: <api-key>'
import requests

url = "https://agent-studio.thena.ai/api/v1/mcp/agents/{agent_id}/servers/{server_id}/health-check"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://agent-studio.thena.ai/api/v1/mcp/agents/{agent_id}/servers/{server_id}/health-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "available_tools": 15,
  "checked_at": "2023-01-01T00:00:00Z",
  "mcp_server_id": "123e4567-e89b-12d3-a456-426614174000",
  "response_time_ms": 150,
  "status": "healthy"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string
required
server_id
string<uuid>
required

Response

Successful Response

Model for MCP server health check results.

mcp_server_id
string<uuid>
required

ID of the MCP server

status
string
required

Health status: 'healthy', 'unhealthy', 'unreachable'

checked_at
string<date-time>
required

When the health check was performed

response_time_ms
integer | null

Response time in milliseconds

available_tools
integer | null

Number of tools available from the server

last_error
string | null

Last error message if health check failed